Subject: Re: bug#43489: [PATCH] Don't signal scan-error when moving by sexp interactively

From: João Távora <[email-masked]>
Date: Mon, 21 Sep 2020 18:25:41 +0100

Hi Mattias,

I haven't looked at your patch, but I hope you are taking care with
the C-M- family of commands.  It is not only mark-sexp that has
that property that it warns about something potentially off screen.
Many other C-M- commands also have that.  Think  M-7 C-M-k for
example.  I hope you understand you are touching a cornerstone
of Lisp-related (actually, not only Lisp) editing here.

So I think I can get used to differently worded messages, but the
errors themselves are pretty useful.

João

On Mon, Sep 21, 2020 at 6:12 PM Mattias Engdegård <[email-masked]> wrote:

> 21 sep. 2020 kl. 10.49 skrev João Távora <[email-masked]>:
>
> > If, however,
> > the message is "Unbalanced parenthesis", I know something's up
> > and have to fix it.
>
> Thanks for mentioning mark-sexp; it was accidentally omitted in my patch.
> I agree that this particular condition in mark-sexp merits special
> treatment; the reason for not being able to extend the mark may be far from
> the cursor and even off-screen.
> It is probably worthwhile to communicate the "unbalanced parenthesis" case
> differently.
>
> For those wondering what this is about: the condition arises when C-M-SPC
> is pressed with point before an unbalanced left bracket.
>
>

-- 
João Távora